lexer grammar InternalUncal;
@header {
package uk.ac.open.uncal.ui.contentassist.antlr.internal;

// Hack: Use our own Lexer superclass by means of import. 
// Currently there is no other way to specify the superclass for the lexer.
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer;
}

T12 : '@' ;
T13 : 'cycle' ;
T14 : '(' ;
T15 : ')' ;
T16 : ',' ;
T17 : ':=' ;
T18 : '{' ;
T19 : 'ObjectType' ;
T20 : ':' ;
T21 : '}' ;

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1611
RULE_VALUE : '&' (RULE_ID|RULE_INT);

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1613
RULE_ID : '^'? ('a'..'z'|'A'..'Z'|'_') ('a'..'z'|'A'..'Z'|'_'|'0'..'9')*;

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1615
RULE_INT : ('0'..'9')+;

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1617
RULE_STRING : ('"' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'"')))* '"'|'\'' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'\'')))* '\'');

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1619
RULE_ML_COMMENT : '/*' ( options {greedy=false;} : . )*'*/';

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1621
RULE_SL_COMMENT : '//' ~(('\n'|'\r'))* ('\r'? '\n')?;

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1623
RULE_WS : (' '|'\t'|'\r'|'\n')+;

// $ANTLR src "../uncal2java.ui/src-gen/uk/ac/open/uncal/ui/contentassist/antlr/internal/InternalUncal.g" 1625
RULE_ANY_OTHER : .;


